package com.iformall.mapper;

import com.iformall.common.CommonMapper;
import com.iformall.domain.dto.WxCUserBasicInfoDto;
import com.iformall.domain.po.WxCUserBasicInfo;
import com.iformall.domain.vo.CUserBaseVo;
import com.iformall.domain.vo.WxCUserBasicInfoVo;

import java.util.List;

public interface WxCUserBasicInfoMapper extends CommonMapper<WxCUserBasicInfo, String> {

	List<WxCUserBasicInfo> findList(WxCUserBasicInfo wxCUserBasicInfo);

	void updateScore(WxCUserBasicInfo record);

	void updateNewId(CUserBaseVo record);
	
	long findCountBySex(WxCUserBasicInfoDto dto);
	
	long findCountByAge(WxCUserBasicInfoDto dto);

	long findCountByScore(WxCUserBasicInfoDto dto);

	List<WxCUserBasicInfo> findListByScore(WxCUserBasicInfoDto dto);

    long findCount(WxCUserBasicInfoDto dto);

	List<WxCUserBasicInfoVo> findVoList(WxCUserBasicInfo wxCUserBasicInfo);

    Integer countVoList(WxCUserBasicInfo wxCUserBasicInfo);
}
